# Uses of Class
org.jmol.util.Tensor

Packages that use Tensor
Package
Description
org.jmol.adapter.smarter
org.jmol.api
org.jmol.modelset
org.jmol.quantum
org.jmol.shapespecial
org.jmol.symmetry
org.jmol.util

## Uses of Tensor in org.jmol.adapter.smarter

Methods in org.jmol.adapter.smarter that return Tensor
Modifier and Type
Method
Description
`Tensor`
XtalSymmetry.`addRotatedTensor(Atom a, Tensor t, int iSym, boolean reset, XtalSymmetry.FileSymmetry symmetry)`
`Tensor`
Atom.`addTensor(Tensor tensor, String type, boolean reset)`
`Tensor`
XtalSymmetry.FileSymmetry.`getTensor(Viewer vwr, float[] parBorU)`
Methods in org.jmol.adapter.smarter with parameters of type Tensor
Modifier and Type
Method
Description
`Tensor`
XtalSymmetry.`addRotatedTensor(Atom a, Tensor t, int iSym, boolean reset, XtalSymmetry.FileSymmetry symmetry)`
`Tensor`
Atom.`addTensor(Tensor tensor, String type, boolean reset)`

## Uses of Tensor in org.jmol.api

Methods in org.jmol.api with parameters of type Tensor
Modifier and Type
Method
Description
`float`
JmolNMRInterface.`getIsoOrAnisoHz(boolean isIso, Atom a1, Atom a2, String type, Tensor t)`
If t is null, then a1, a2, and type are used to find the appropriate tensor.
`float`
JmolNMRInterface.`getQuadrupolarConstant(Tensor efg)`
Quadrupolar constant, directly proportional to Vzz and dependent on the quadrupolar moment of the isotope considered

## Uses of Tensor in org.jmol.modelset

Methods in org.jmol.modelset that return Tensor
Modifier and Type
Method
Description
`Tensor`
AtomCollection.`getAtomTensor(int i, String type)`
Methods in org.jmol.modelset with parameters of type Tensor
Modifier and Type
Method
Description
`void`
AtomCollection.`addTensor(Tensor t, String type)`

## Uses of Tensor in org.jmol.quantum

Methods in org.jmol.quantum with parameters of type Tensor
Modifier and Type
Method
Description
`float`
NMRCalculation.`getIsoOrAnisoHz(boolean isIso, Atom a1, Atom a2, String units, Tensor isc)`
`float`
NMRCalculation.`getJCouplingHz(Atom a1, Atom a2, String type, Tensor isc)`
`float`
NMRCalculation.`getQuadrupolarConstant(Tensor efg)`

## Uses of Tensor in org.jmol.shapespecial

Fields in org.jmol.shapespecial declared as Tensor
Modifier and Type
Field
Description
`Tensor`
Ellipsoid.`tensor`
Fields in org.jmol.shapespecial with type parameters of type Tensor
Modifier and Type
Field
Description
`Map<Tensor, Ellipsoid>`
Ellipsoids.`atomEllipsoids`
Methods in org.jmol.shapespecial with parameters of type Tensor
Modifier and Type
Method
Description
`static Ellipsoid`
Ellipsoid.`getEllipsoidForAtomTensor(Tensor t, Atom center)`
`protected void`
Ellipsoid.`setTensor(Tensor tensor)`

## Uses of Tensor in org.jmol.symmetry

Methods in org.jmol.symmetry that return Tensor
Modifier and Type
Method
Description
`Tensor`
UnitCell.`getTensor(Viewer vwr, float[] parBorU)`

## Uses of Tensor in org.jmol.util

Methods in org.jmol.util that return Tensor
Modifier and Type
Method
Description
`Tensor`
Tensor.`copyTensor()`
`Tensor`
Tensor.`setFromAsymmetricTensor(double[][] asymmetricTensor, String type, String id)`
Standard constructor for QM tensors
`Tensor`
Tensor.`setFromAxes(V3[] axes)`
Standard constructor for ellipsoids based on axes
`Tensor`
Tensor.`setFromEigenVectors(T3[] eigenVectors, float[] eigenValues, String type, String id, Tensor t)`
Standard constructor for charge and iso.
`Tensor`
Tensor.`setFromThermalEquation(double[] coefs, String id)`
standard constructor for thermal ellipsoids convention beta (see http://www.iucr.org/iucr-top/comm/cnom/adp/finrepone/finrepone.html)
`Tensor`
Tensor.`setType(String type)`
Note that type may be null here to skip type initialization and allow later setting of type; this should be used with care.
Methods in org.jmol.util with parameters of type Tensor
Modifier and Type
Method
Description
`boolean`
Tensor.`isEquiv(Tensor t)`
`Tensor`
Tensor.`setFromEigenVectors(T3[] eigenVectors, float[] eigenValues, String type, String id, Tensor t)`
Standard constructor for charge and iso.